package com;

import java.io.IOException;
import java.sql.Connection;

import javax.ejb.EJBException;
import javax.ejb.MessageDrivenBean;
import javax.ejb.MessageDrivenContext;
import javax.jms.Message;
import javax.jms.MessageListener;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.sql.DataSource;

import org.jdom.Document;
import org.jdom.JDOMException;
import org.jdom.input.SAXBuilder;

public class MyMDBean implements MessageDrivenBean, MessageListener {

	public void ejbCreate() {
		System.out.println("EJB Create");
	}

	public void setMessageDrivenContext(MessageDrivenContext arg0)
			throws EJBException {
		System.out.println("Message Driven Context");
	}

	public void ejbRemove() throws EJBException {
		System.out.println("EJB Remove");
	}

	public void onMessage(Message msg) {
		System.out.println(msg);

		try {
			Class.forName("org.jdom.Document");
			System.out.println("Class from utility jar loaded");
		
			InitialContext ic = new InitialContext();
			DataSource ds = (DataSource)ic.lookup("java:CrickScoreDS");
			Connection con = ds.getConnection();
			System.out.println("Connection obtained from Datasource");
			con.close();
		} catch (Exception e) {
			e.printStackTrace();
		} 
	}

}
