import java.util.Properties;

import javax.jms.*;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;

public class testMDB {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		try{
			InitialContext ic = getJBossInitialContext();
			QueueConnectionFactory qcf =
				(QueueConnectionFactory) ic.lookup("java:/XAConnectionFactory");
			QueueConnection qc = qcf.createQueueConnection();
			qc.start();
			QueueSession ses =
				qc.createQueueSession(false, Session.AUTO_ACKNOWLEDGE);
			Queue que = (Queue) ic.lookup("queue/MyQueue");
			QueueSender qs = ses.createSender(que);
			TextMessage msg = ses.createTextMessage("Test message from client");
			qs.send(msg);
			System.out.println("Message Sent");
			qs.close();
			ses.close();
			qc.close();
		} catch (NamingException e) {
			e.printStackTrace();
		} catch (JMSException e) {
			e.printStackTrace();
		}
	}
	
	private static InitialContext getJBossInitialContext() throws NamingException{
		Properties p = new Properties();
		p.put(Context.INITIAL_CONTEXT_FACTORY, "org.jnp.interfaces.NamingContextFactory");
		p.put(Context.URL_PKG_PREFIXES, "jboss.naming:org.jnp.interfaces");
		p.put(Context.PROVIDER_URL, "localhost:1099");
		return new InitialContext(p);
	}

}
